Bug 844806 - katello incorrectly prevents products with the same name in an organization
katello incorrectly prevents products with the same name in an organization
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Adam Price
Kedar Bidarkar
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-31 16:39 EDT by Tom McKay
Modified: 2013-08-16 14:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
System Engine prevented uploads of manifests with subscriptions that contained products with the same name. This fix reduces the uniqueness constraints to allow duplicate product names.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:48:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom McKay 2012-07-31 16:39:15 EDT
A manifest with subscriptions that contain products with the same name cannot be imported.

app/models/product.rb has a ProductNameUniquenessValidator

It is valid for a manifest to have products with the same name.
Comment 5 errata-xmlrpc 2012-12-04 14:48:47 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html
Comment 6 Mike McCune 2013-08-16 14:16:21 EDT
getting rid of 6.0.0 version since that doesn't exist

Note You need to log in before you can comment on or make changes to this bug.